# Uses of Interface
java.lang.classfile.ClassReader

Packages that use ClassReader
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassReader in java.lang.classfile

Methods in java.lang.classfile with parameters of type ClassReader
Modifier and Type
Method
Description
`A`
AttributeMapper.`readAttribute(AttributedElement enclosing, ClassReader cf, int pos)`
Creates an `Attribute` instance from a `class` file for the Class-File API.